# Generated by Django 3.1.3 on 2020-11-06 11:35

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BaseElement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text_before', models.CharField(max_length=280)),
                ('text_after', models.CharField(blank=True, max_length=100)),
                ('element_order', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Poll',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('description', models.TextField()),
                ('access_level', models.CharField(choices=[('AU', 'Authorized')], max_length=2)),
                ('created', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Response',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('element', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='responses', to='polls.baseelement')),
            ],
        ),
        migrations.CreateModel(
            name='ArrayResponse',
            fields=[
                ('response_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.response')),
                ('response', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
            ],
            bases=('polls.response',),
        ),
        migrations.CreateModel(
            name='BoolResponse',
            fields=[
                ('response_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.response')),
                ('response', models.BooleanField()),
            ],
            bases=('polls.response',),
        ),
        migrations.CreateModel(
            name='CharResponse',
            fields=[
                ('response_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.response')),
                ('response', models.CharField(max_length=280)),
            ],
            bases=('polls.response',),
        ),
        migrations.CreateModel(
            name='CheckboxElement',
            fields=[
                ('baseelement_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.baseelement')),
                ('default_value', models.BooleanField()),
            ],
            bases=('polls.baseelement',),
        ),
        migrations.CreateModel(
            name='IntegerPickerElement',
            fields=[
                ('baseelement_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.baseelement')),
                ('min_value', models.PositiveIntegerField()),
                ('max_value', models.PositiveIntegerField()),
                ('default_value', models.PositiveIntegerField()),
            ],
            bases=('polls.baseelement',),
        ),
        migrations.CreateModel(
            name='IntegerResponse',
            fields=[
                ('response_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.response')),
                ('response', models.IntegerField()),
            ],
            bases=('polls.response',),
        ),
        migrations.CreateModel(
            name='MultipleSelectElement',
            fields=[
                ('baseelement_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.baseelement')),
                ('all_values', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('default_value', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
            ],
            bases=('polls.baseelement',),
        ),
        migrations.CreateModel(
            name='RadioButtonElement',
            fields=[
                ('baseelement_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.baseelement')),
                ('default_value', models.BooleanField()),
            ],
            bases=('polls.baseelement',),
        ),
        migrations.CreateModel(
            name='SelectElement',
            fields=[
                ('baseelement_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.baseelement')),
                ('all_values', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('default_value', models.CharField(max_length=100)),
            ],
            bases=('polls.baseelement',),
        ),
        migrations.CreateModel(
            name='TextFieldElement',
            fields=[
                ('baseelement_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='polls.baseelement')),
                ('default_value', models.CharField(max_length=280)),
            ],
            bases=('polls.baseelement',),
        ),
    ]
